<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.style24</groupId>
		<artifactId>root</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>
	<groupId>com.style24.core</groupId>
	<artifactId>style24-core</artifactId>
	<version>0.0.1</version>
	<packaging>jar</packaging>
	<name>style24-core</name>
	<description>STYLE24 Core</description>
	
	<dependencies>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-text</artifactId>
			<version>1.8</version>
		</dependency>
		
		<!-- /// WEB-INF lib -->
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-core</artifactId>
			<version>1.7.1-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-web-core-1.7.1-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-security</artifactId>
			<version>1.7.2-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-web-security-1.7.2-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-parameter</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-web-parameter-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-rest</artifactId>
			<version>1.7.1-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-web-rest-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-util</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-web-util-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-excel</artifactId>
			<version>1.7.2-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-excel-1.7.2-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-shoplinker</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/gagaframework-shoplinker-1.7.2-RELEASE.jar</systemPath>
		</dependency>

		<!-- ///KCP -->
		<dependency>
			<groupId>com.kcp</groupId>
			<artifactId>kcp</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/jPpcliE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.kcp</groupId>
			<artifactId>ConnectionKCP</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/ConnectionKCP.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>kr.co.kcp.CT_CLI</groupId>
			<artifactId>CT_CLI</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/CtCli-1.0.6.jar</systemPath>
		</dependency>
		<!-- \\\KCP -->
		
		<!-- /// USAFE 보증보험 -->
		<dependency>
			<groupId>com.usafe.guarantee</groupId>
			<artifactId>usafe-guarantee</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/usafe.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>net.sourceforge.blowfishj</groupId>
			<artifactId>usafe-blowfishj</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/usafe.jar</systemPath>
		</dependency>
		<!-- \\\ USAFE 보증보험 -->

		<!-- 네이버페이 -->
		<dependency>
			<groupId>org.apache.axis</groupId>
			<artifactId>axis</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/axis.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.bouncycastle</groupId>
			<artifactId>bouncycastle</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/bcprov-jdk16-138.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>javax.xml</groupId>
			<artifactId>rpc</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/jaxrpc.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.nhncorp</groupId>
			<artifactId>SimpleCryptLib</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/SimpleCryptLib-1.1.0.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.apache.commons.discovery</groupId>
			<artifactId>common-discovery</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/commons-discovery-0.2.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>org.apache.commons.logging</groupId>
			<artifactId>common-logging</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/commons-logging-1.2.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>javax.xml.soap</groupId>
			<artifactId>saaj</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/saaj.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>wsdl4j</groupId>
			<artifactId>wsdl4j</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/wsdl4j.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jsr173api</groupId>
			<artifactId>jsr173api</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/jsr173_1.0_api.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>xalan</groupId>
			<artifactId>xalan</artifactId>
			<version>1.0</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/xalan.jar</systemPath>
		</dependency>
		<!-- \\\ WEB-INF lib -->

		<!-- /// logback 취약점 대응 -->
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>1.2.9</version>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-core</artifactId>
			<version>1.2.9</version>
		</dependency>
		<!-- \\\ logback 취약점 대응 -->
	</dependencies>
	
	<build>
		<finalName>${project.name}-${project.version}</finalName>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.xml</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*</include>
				</includes>
			</resource>
		</resources>
	</build>
	
</project>